#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build Debian-BR-CDD Themes packages
# $Id: rules 273 2004-10-21 20:16:47Z otavio $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
clean:
	dh_testdir
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cp -r gnome/* debian/gnome-theme-debian-br-cdd/usr/share/themes/Debian-BR-CDD/
	find debian/gnome-theme-debian-br-cdd/usr/share/themes/Debian-BR-CDD/ -type f -exec chmod a-x {} \;
	cp -r images/debian-br-cdd.png debian/gnome-theme-debian-br-cdd/usr/share/images/Debian-BR-CDD/
	find debian/gnome-theme-debian-br-cdd/usr/share/images/Debian-BR-CDD/ -type f -exec chmod a-x {} \;
	cp -r images/splash/* debian/gnome-theme-debian-br-cdd/usr/share/debian-br-cdd/
	find debian/gnome-theme-debian-br-cdd/usr/share/debian-br-cdd/ -type f -exec chmod a-x {} \;
	cp -r icons/* debian/gnome-icon-theme-debian-br-cdd/usr/share/icons/Debian-BR-CDD/
	find debian/gnome-icon-theme-debian-br-cdd/usr/share/icons/Debian-BR-CDD/ -type f -exec chmod a-x {} \;
	cp -r gdm/* debian/gdm-theme-debian-br-cdd/usr/share/gdm/themes/debian-br-cdd/
	find debian/gdm-theme-debian-br-cdd/usr/share/gdm/themes/debian-br-cdd/ -type f -exec chmod a-x {} \;
	cp -r icewm/* debian/icewm-theme-debian-br-cdd/usr/share/icewm/themes/debian-br-cdd/
	find debian/icewm-theme-debian-br-cdd/usr/share/icewm/themes/debian-br-cdd/ -type f -exec chmod a-x {} \;
	cp grub/grub-splash.xpm  debian/grub-theme-debian-br-cdd/boot/grub/splash.xpm
	gzip -9 debian/grub-theme-debian-br-cdd/boot/grub/*

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install
